MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002496VCMIRandom Map Generatorpublic2016-09-21 15:192016-12-22 19:27
ReporterPovelitel 
Assigned ToWarmonger 
PrioritynormalSeverityminorReproducibilitysometimes
StatusfeedbackResolutionreopened 
PlatformOSOS Version
Product Version0.98g 
Target VersionFixed in Version0.next 
Summary0002496: sometimes generated shifted security
DescriptionIn such cases, you can take the resources or artifacts without killing the guard
TagsNo tags attached.
Attached Filespng file icon FMG.png [^] (158,196 bytes) 2016-09-21 15:19


png file icon FMG2.png [^] (126,612 bytes) 2016-09-21 15:36


png file icon fmg3.png [^] (340,951 bytes) 2016-11-03 09:47


png file icon fmg4.png [^] (134,958 bytes) 2016-12-21 16:58


png file icon fmg5.png [^] (113,456 bytes) 2016-12-21 17:02

- Relationships
related to 0002371confirmedWarmonger Some objects are not guarded from side 

-  Notes
(0006696)
misiokles (reporter)
2016-09-21 16:17

Not exactly. Path show you that you can get resources without fight, but when you try to pick one - battle begins anyway.
(0006699)
Povelitel (updater)
2016-09-21 18:06
edited on: 2016-09-21 20:09

No ^^
Oh, yes, for scroll need fight

(0006701)
Warmonger (administrator)
2016-09-21 19:03

I know there is some issue, but don't know where it comes from (or how to fix it). Still, I'd welcome any number of screenshots reports about it.
(0006948)
Warmonger (administrator)
2016-12-15 15:30

Seems to be fixed in https://github.com/vcmi/vcmi/commit/ee3aec55f2181c11c878dd3c48bee5be4172dfcc [^]
(0006953)
Povelitel (updater)
2016-12-21 17:03

Still Reproducibility
(0006954)
Warmonger (administrator)
2016-12-22 19:27

New examples look like they only work for little one-tile objects. This is quite a different issue.

- Issue History
Date Modified Username Field Change
2016-09-21 15:19 Povelitel New Issue
2016-09-21 15:19 Povelitel Status new => assigned
2016-09-21 15:19 Povelitel Assigned To => Warmonger
2016-09-21 15:19 Povelitel File Added: FMG.png
2016-09-21 15:36 Povelitel File Added: FMG2.png
2016-09-21 16:17 misiokles Note Added: 0006696
2016-09-21 18:06 Povelitel Note Added: 0006699
2016-09-21 19:03 Warmonger Note Added: 0006701
2016-09-21 19:03 Warmonger Status assigned => confirmed
2016-09-21 20:09 Povelitel Note Edited: 0006699 View Revisions
2016-11-03 09:47 Povelitel File Added: fmg3.png
2016-12-15 15:30 Warmonger Note Added: 0006948
2016-12-15 15:30 Warmonger Status confirmed => resolved
2016-12-15 15:30 Warmonger Fixed in Version => 0.next
2016-12-15 15:30 Warmonger Resolution open => fixed
2016-12-18 21:32 Warmonger Relationship added related to 0002371
2016-12-21 16:58 Povelitel File Added: fmg4.png
2016-12-21 16:59 Povelitel Note Added: 0006952
2016-12-21 17:02 Povelitel File Added: fmg5.png
2016-12-21 17:03 Povelitel Note Added: 0006953
2016-12-21 17:03 Povelitel Status resolved => feedback
2016-12-21 17:03 Povelitel Resolution fixed => reopened
2016-12-21 17:03 Povelitel Note Deleted: 0006952
2016-12-22 19:27 Warmonger Note Added: 0006954

Site | Forums | Wiki | GitHub


Copyright © 2000 - 2017 MantisBT Team
Hosting provided by DigitalOcean